%define archivename	ttf-sil-gentium
%define fontdir         %{_datadir}/fonts/gentium

Name:           gentium-fonts
Version:        1.02
Release:        5%{?dist}
Summary:        SIL Gentium fonts

Group:          User Interface/X
License:        SIL Open Font License
URL:            http://scripts.sil.org/Gentium_linux
# Source0 can be downloaded from the above URL, search for "tar.gz"
Source0:        ttf-sil-gentium_1.0.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

# Providing the name of an upstream RPM
Obsoletes:      fonts-sil-gentium
Provides:       fonts-sil-gentium

%description
SIL Gentium ("belonging to the nations" in Latin) is a Unicode typeface family
designed to enable the many diverse ethnic groups around the world who use
the Latin script to produce readable, high-quality publications. It supports
a wide range of Latin-based alphabets and includes glyphs that correspond to
all the Latin ranges of Unicode.

%prep
%setup -q -n %{archivename}-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT

#fonts
install -d -m 0755 $RPM_BUILD_ROOT%{fontdir}
install -m 0644 *.ttf $RPM_BUILD_ROOT%{fontdir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc FONTLOG GENTIUM-FAQ OFL OFL-FAQ QUOTES README

%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Thu Nov 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.02-5
- Remove ghost-ed fontconfig caches (fontconfig mechanism is changed)

* Tue Sep 19 2006 Kevin Fenzi <kevin@tummy.com> 1.02-4
- Rebuild for Fedora Extras 6
- Add dist tag

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.02-3
- Rebuild for Fedora Extras 5

* Wed Dec 21 2005 Roozbeh Porunader <roozbeh@farsiweb.info> 1.02-2
- Added comment to Source0 about where to get the file
- Added Provides and Obsoletes for upsteam RPM name

* Mon Dec 19 2005 Roozbeh Pournader <roozbeh@farsiweb.info> 1.02-1
- Initial packaging, borrowing many things from dejavu-fonts
